## ampache 3.5.4

=== debian/changelog ===
ampache (3.5.4-9) unstable; urgency=low

  * Actually added updated cs.po. Thx Miroslav Kure for the mail.
  * Added vi.po.  Thx Clytie Siddall.  Closes: #599153

 -- Charlie Smotherman <cjsmo@cableone.net>  Tue, 26 Oct 2010 20:19:24 -0500

ampache (3.5.4-8) unstable; urgency=low

  * Made requested changes from the Release Team (Adam) to ampache.config
    postinst, and postrm to fix symlink creation.  Closes: #593759
  * Made the requested spacing changes from the Release Team (Adam) in the
    postrm.
  * Added updated it.po. Thx  Luca Monducci Closes: #593959
  * Added updated ta.po. Thx Dr.T.Vasudevan
  * Added updated cs.po. Thx Miroslav Kure Closes: #595512
  * Added zh_TW.po.  Thx Kan-Ru Chen
  * Added da.po.  Thx Joe Dalton Closes: #595197

 -- Charlie Smotherman <cjsmo@cableone.net>  Tue, 21 Sep 2010 21:34:54 -0500

ampache (3.5.4-7) unstable; urgency=high

  * Adjusted symlink creation in debian/postinst so it now works.
    Closes: #593181
  * Upstream neglected to comment out the "require once" for
    /modules/pearxmlrpc/rpc.php which causes the inital login after the 
    completion of the web installer to fail due to php not being able to find
    /modules/pearxmlrpc/rpc.php.  Closes: #593182

 -- Charlie Smotherman <cjsmo@cableone.net>  Sun, 17 Aug 2010 06:51:29 -0500

ampache (3.5.4-6) unstable; urgency=high

  * Setting urgency to high as this fixes an RC bug.
  * Upstream has decided to remove pearxmlrpc and make the package
    depend on php5-xmlrpc. Closes: #591984
  * debian/control
    - added php5-xmlrpc to Depends field.
  * debian/rules
    - added -X option to remove /modules/pearxmlrpc

 -- Charlie Smotherman <cjsmo@cableone.net>  Thu, 12 Aug 2010 09:59:36 -0500

ampache (3.5.4-5) unstable; urgency=medium

  * Setting urgency to medium as this fixes an RC bug.
  * debian/rules
    - After discussing with upstream it was decided to remove 
      xspf_jukebox.fla and xspf_jukebox.swf. Added -X option to dh_install to
      remove xspf_jukebox.fla and xspf_jukebox.swf. Closes: #591202
  * debian/README.Debian
    - Added a note regarding the current state of the xspf_jukebox 
      flash player.
  * Added updated ja.po, thx Hideki Yamane Closes: #591074
  * debian/control
    - Bumped Standards Version to 3.9.1, no changes needed.

 -- Charlie Smotherman <cjsmo@cableone.net>  Sun, 01 Aug 2010 23:11:36 -0500

ampache (3.5.4-4) unstable; urgency=low

  * Updated README.Debian to account for changes in mysql and phpmyadmin.
    Closes: #589078
  * Force removal of /etc/cron.daily/ampache on remove and purge.
    Closes: #586647
  * Added new ru.po. Thx Yuri Kozlov Closes: #585694
  * Corrected formatting of previous log entry.
  * Bumped Standards Version to 3.9.0 no changes needed.

 -- Charlie Smotherman <cjsmo@cableone.net>  Thu, 15 Jul 2010 06:42:51 -0500

ampache (3.5.4-3) unstable; urgency=low

  * Added new sv.po. Thx Martin Bagge. Closes: #582701
  * Added new es.po. Thx Francisco Javier Cuadrado. Closes: #581870
  * Added new fr.po. Thx Filippo Rusconi.  Closes: #581654
  * Added new de.po. Thx Helge Kreutzmann. Closes: #580737
  * Added new pt.po. Thx Américo Monteiro. Closes: #580440
  * Removed superfluous spaces in ampache.templates.  Closes: #580738
  * Added ampache.cron.daily this will run add and clean on all available
    catalogs once a day (usually early mourning).
  * debian/postinst made use of variable for /usr/sbin/lighty-enable-mod to
    satisfy lintian.
  * debian/postinst added remove statement to remove lighty_ampache.conf if
    apache2 is installed and vic versa.
  * debian/postrm made use of variable for /usr/sbin/lighty-disable-mod to
    satisfy lintian.
  * debian/postrm added rm statement to remove ampache.cron.daily on purge.
  * Removed find rule from debian/rules, lintian was complaining of
    unrepresentable changes to the source.
  * debian/links added symlink creation for ampache.cron.daily to /etc/ampache.

 -- Charlie Smotherman <cjsmo@cableone.net>  Sun, 06 June 2010 22:22:31 -0500

ampache (3.5.4-2) unstable; urgency=low

   * Added support for lighttpd servers.  What this means is that the default
   behavior is for apache2 to be installed on new installs.  However if
   lighttpd is installed and configured correctly the maintainer scripts 
   should pickup on this and install ampache into the proper locations, 
   create the need sym links, and enable the needed lighttpd modules.
   Closes: #549009
   * Made package depend on nusoap. Closes: #579829
   * debian/control:
     - Recommends, package should recommend the mysql-server meta-package so 
     the default mysql-server is installed.  This will eleminate the need for 
     additional uploads to increase mysql-server version number.
     - added additional depends for lighttpd support.
     - moved apache2 | lighttpd to the Recommends field.
     - added dependency on libnusoap-php
   * debian/ampache.postrm: 
     - added purge statement to webserver restart so webserver reloads on 
     remove and purge.
     - added conditional removal statements to ampache.postrm so all user
     modified config files are removed on purge.
     - added lighttpd support
   * debian/ampache.postinst:
     - correted incorrect ampache.conf symlink creation. (LP: #533989)
     - added lighttpd support
   * debian/ampache.preinst:
     - added ampache.preinst to correct sym link naming mismatch on upgrades.
     (LP: #558697)
     - added ampache.cfg.php backup to ampache.preinst, this way we make a 
     backup copy of ampache.cfg.php before upgrade begins. 
   * debian/postinst:
     - removed ampache.cfg.php backup and migration, this was only need until 
     Ubuntu Hardy reached EOL.
     - added lighttpd support.
   * debian/ampache.templates:
     - added webserver types question for lighttpd support.
     - combined webserver configuration and webserver restart into one
     question (webserver_restart).
     - reworded webserver_restart to be more generic in scope.

