=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install -XGPL-LICENSE -XINSTALL -XCOPYING -Xlicense -XLICENSE \
	-Xreadme.windows.txt -Xprototype -XSnoopy -XFreeMono-Medium \
	-Xgather-messages.sh -Xnusoap -Xxspf_jukebox.fla -Xxspf_jukebox.swf \
	-Xpearxmlrpc
