## ampache 3.6~alpha1

=== debian/changelog ===
ampache (3.6~alpha1-0ubuntu6) precise; urgency=low

  * Added missing variable in debian/ampache.postinst.

 -- Charlie Smotherman <cjsmo@cableone.net>  Mon, 16 Jan 2012 16:59:54 -0500

ampache (3.6~alpha1-0ubuntu5) precise; urgency=low

  * Use conditional statements to create the "$sa", "$se", "$ea", "$confd"
    variables in ampache.postinst.  These vars are only needed if Apache2 is
    installed and no attempt should be made to create them when using lighttpd.
  * Added additional check in mythbuntu_apache_install to check for the
    presents of the needed symlink so mythbuntu upgrades do not fail. Thx Bill
    Walker for the bug report. (LP: #874142 #880654)
  * Removed install statement from debian/ampache.install so a duplicate copy
    of the upstream changelog is not installed as reported by lintian.
  * Reordered debian/control Depends and Suggests fields.

 -- Charlie Smotherman <cjsmo@cableone.net>  Wed, 09 Nov 2011 21:38:54 -0500

ampache (3.6~alpha1-0ubuntu4) oneiric; urgency=low

  * debian/control
    - added apache2-mpm-itk as an alternative recommends dependency.
      (LP: #826443)
  * debian/README.Debian
    - updated with a blob about apache2-mpm-itk.
    - updated bzr and git repo references.

 -- Charlie Smotherman <cjsmo@cableone.net>  Thu, 21 Aug 2011 07:13:14 -0500

ampache (3.6~alpha1-0ubuntu3) oneiric; urgency=low

  * added /debian/scripts directory, and moved grab_xspf.sh into it.
  * debian/ampache.conf
    - removed unused variables
    - removed debconf db versioning, not need.
  * debian/ampache.install
    - reorganized for easier readability.
  * debian/ampache.postinst
    - added additional checks and logic to verify if ampache.conf,
      ApacheAmpache, ampvhadd, or 000-default are being used to provide the
      Ampache alias, and installs Ampache accordingly. Default is to use
      ApacheAmpache.
    - added additional comments.
    - removed debconf db versioning, not needed.
  * debian/ampache.preinst
    - removed ampache.conf removal.
    - removed unused variables.
  * debian/control
    - corrected typo
  * debian/copyright
    - corrected the word File to be Files per DEP5 spec.
    - corrected spacing in copyright notices per DEP5 spec.
    - removed PHP License, upstream has removed php-pear/xml-rpc.
  * debian/links
    - reorganized into groups for easier readability.
  * debian/rules
    - added removeal of libphp-snoopy to get-orig-source

 -- Charlie Smotherman <cjsmo@cableone.net>  Thu, 04 Aug 2011 13:15:14 -0500

ampache (3.6~alpha1-0ubuntu2) oneiric; urgency=low

  * updated debian/ampache.install to install favicon.ico.

 -- Charlie Smotherman <cjsmo@cableone.net>  Wed, 22 June 2011 11:01:54 -0500

ampache (3.6~alpha1-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * Removed xspf_notification.patch included upstream.
  * Updated logratate_fix for new upstream code.
  * Added postrotate rule to ampache.logrotate to correct ownership of 
    var/log/ampache after the logs are rotated. (LP: # #722274)
  * debian/rules
    - added get-orig-source.
    - removed exclude rules from debian/rules.
  * debian/links
    - added link to link /usr/share/logrotate.d/ampache to /etc/ampache so
      usr/sysadmin can easily customize the rotation to their needs.
    - reorganized so it is not so confusing.
  * debian/dirs
    - rmoved /usr/share/ampache/www/modules/pearxmlrpc no longer needed.
    - added /var/log/ampache/old to contain the old rotated logs.
  * debian/control
    - update Standards Version to 3.9.2 no changes needed.
    - added phpmailer to depends.
    - reorganized depends field.
  * Reorganized ampache.install. 
  

 -- Charlie Smotherman <cjsmo@cableone.net>  Wed, 1 June 2011 12:05:54 -0500

ampache (3.5.4-11) unstable; urgency=low

  * Made package check the md5sum of /etc/apache2/sites-available/default for
    any local changes.  If changes have been made a copy is made and the
    ampache alias is added to the newly created virtualhost.  If no changes
    are detected, the ApacheAmpache virtualhost is used instead.  This should
    capture any changes made by the local usr/sysadmin.  Closes: #612703

 -- Charlie Smotherman <cjsmo@cableone.net>  Wed, 16 Feb 2011 09:55:24 -0500

ampache (3.5.4-10) unstable; urgency=low

  * Made package use a VirtualHost instead of adding alias symlink to 
    /etc/apache2/conf.d
  * Added /conf/ApacheAmpache.
  * Updated postinst and postrm to use a2ensite and a2dissite.
  * Updated ampache.install to install ApacheAmpache into 
    /etc/apache2/sites-available.
  * Removed "for" loop in debian/ampache.postinst debian/ampache.postrm.
    Thx pitti
  * Recreated /usr/share/ampache/www/modules/pearxmlrpc dir in debian/dir.
  * Made package depend on the correct php-xml-rpc package in debian/control.
    Moved eyed3 to the Suggests field, along with adding lame, faad, 
    mp3-splt, vorbis-tools to the Suggest field. LP: #681932 
  * Created the needed symlinks to php-xml-rpc in debian/links.
  * Corrected spacing in debian/ampache.preinst, added webserver reload,
    added comments.
  * Corrected spacing in ampache.postinst, changed from using webserver
    restart to using webserver reload, added comments.
  * Removed init_php_fix patch as it is no longer needed, refreshed patches.
  * Added discription headers to patch files.
  * debian/patches/xspf_notification.patch: If the user attempts to use the
    xspfflash player, the user will be pointed to 
    /usr/share/doc/ampache/README.Debian for details and a work around.
  * Included /config/mythbuntu_ampache.conf so webserver is configured
    correctly with Mythbuntu.
  * Reworked ampache.install, ampache.postinst and ampache.postrm for use on
    mythbuntu.
  * Reworked ampache.postinst and ampache.postrm so if the user chooses not to
    restart the webserver ampache will exit gracefully.
  * Setup dirs and permissions for logging in ampache.postinst and

