=== debian/control ===
Source: ampache
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Charlie Smotherman <cjsmo@cableone.net>
Vcs-Git: git://gitorious.org/ampache/ampache.git
Vcs-Browser: http://gitorious.org/ampache/ampache/trees/master
Homepage: http://www.ampache.org
Build-Depends: debhelper (>= 7.0.50), po-debconf
Standards-Version: 3.9.2

Package: ampache
Architecture: all
Depends: ${misc:Depends},
 debconf (>= 0.5) | debconf-2.0,
 libapache2-mod-php5 | php5-cgi | php5,
 php5-auth-pam,
 php5-cli,
 php5-mysql,
 php5-xmlrpc,
 libjs-prototype,
 libnusoap-php,
 libphp-phpmailer,
 libphp-snoopy,
 ttf-freefont
Conflicts: ampache-themes-3.3.3.5a-1
Recommends: apache2-mpm-prefork | apache2-mpm-itk | lighttpd, ampache-themes
Suggests: php5-gd, phpmyadmin, mysql-server, eyed3, faad, vorbis-tools
Description: web-based audio file management system
 Ampache is a web-based audio file manager implemented with PHP and
 MySQL which allows viewing, editing, and playing audio files via the
 web. It has support for playlists, artist and album views, album art,
 random or vote-based play and per-user play-tracking/theming.
 Playback may be via HTTP, on-the-fly transcoding and downsampling,
 Mpd/Icecast, or integrated Flash player. Multiple Ampache servers can
 be linked together using XML-RPC. The software is fully localized in many
 languages.
