=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,12 @@
 %:
 	dh $@
 
+override_dh_install:
+	dh_install -Xlicense.commercial.txt -Xlicense.txt
+
 get-orig-source:
-	uscan --noconf --force-download --download-current-version --no-symlink --destdir=.
+	echo "deb upstream version is $(DEB_UPSTREAM_VERSION)"
+	uscan --noconf --force-download --upstream-version 3.6-alpha1 --no-symlink --destdir=.
 	echo "deb upstream version is $(DEB_UPSTREAM_VERSION)"
 	tar -xvf a*.tar.gz
 	rm a*tar.gz
@@ -34,7 +38,7 @@
 	find ampache-$(DEB_UPSTREAM_VERSION)-alpha1 -type f -exec chmod 644 {} \;
 	find ampache-$(DEB_UPSTREAM_VERSION)-alpha1 -name ".gitignore" -exec rm {} \;
 	GZIP=--best tar -cz --owner root --group root --mode a+rX -f \
-		ampache_$(DEB_UPSTREAM_VERSION)-alpha1.orig.tar.gz \
+		ampache_$(DEB_UPSTREAM_VERSION)-alpha1+dfsg.orig.tar.gz \
 		ampache-$(DEB_UPSTREAM_VERSION)-alpha1
 	rm -r ampache-$(DEB_UPSTREAM_VERSION)-alpha1
