=== debian/watch ===
version=3
opts=dversionmangle=s/\.*dfsg\.\d+$//,filenamemangle=s/.*-(.*)/$1/ \
http://ampache.org/downloads/ampache-(3.*)\.tar\.gz
