## ampache 3.6-git408e713+dfsg

=== debian/changelog ===
ampache (3.6-git408e713+dfsg-4~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Charlie Smotherman <cjsmo@cableone.net>  Sun, 25 Aug 2013 12:12:08 +0200

ampache (3.6-git408e713+dfsg-4) unstable; urgency=low

  * Acknowledge non-maintainer upload and included changes.
  * Removed debian/ampache.logrotate and debian/ampache.cron.daily.
  * Added ampache.maintscript to gracefully remove /etc/logrotate.d/ampache
    and /etc/cron.daily/ampache as these are now obsolete conffiles.
    Closes: #691433
  * Removed log file creation from ampache.postinst.
  * Removed sym link creation from ampache.links.
  * Pre-Depends on dpkg so dpkg-maintscript-helper can be used.
  * Create /etc/ampache in ampache.dirs dh_links was doing this for use.
  * Increased debhelper to >=8.1.0 to use dpkg-maintscript-helper.
  * Increased debian/compat to 8.

 -- Charlie Smotherman <cjsmo@cableone.net>  Thu, 12 July 2013 20:24:28 -0500

ampache (3.6-git408e713+dfsg-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove generated link in prerm.  Closes: #688436

 -- Bas Wijnen <wijnen@debian.org>  Sun, 14 Oct 2012 16:31:58 +0200

ampache (3.6-git408e713+dfsg-3) unstable; urgency=low

  * Remove statements in debian/ampache.postrm that manually remove conffiles,
    log files on remove and purge.  Closes: #688436

 -- Charlie Smotherman <cjsmo@cableone.net>  Sat, 22 Sep 2012 14:24:41 -0500

ampache (3.6-git408e713+dfsg-2) unstable; urgency=low

  * Added functions to ampache.postrm so it is formated similar to 
    ampache.posinst.
  * Moved "service apache2 reload" into a conditional if statement in
    debian/ampache.postinst and debian/ampache.postrm, which runs if
    /var/run/apache2.pid is present.  Closes: #676451

 -- Charlie Smotherman <cjsmo@cableone.net>  Thu, 07 Jun 2012 00:48:12 -0500

ampache (3.6-git408e713+dfsg-1) unstable; urgency=low

  * New upstream git snapshot, using commit 
    408e71344ade84685c181cd326e2ec5e79c9157b Closes: #668932, #668936
  * Prep for apache2.4 transition.
  * Removed files ApacheAmpache, lighttpd_ampache.conf, mythbuntu.ampache.conf
    and vhost, they are no longer needed.
  * Added debain/conf/ampache.conf to be more inline with the apache2.4
    transition.  This required a rewrite of the postinst, postrm, and preinst.
    Closes: #668639, #656553 LP: #996507
  * Split package into ampache and ampache-common.  Ampache behaves the same 
    and installs the apache2 web server, as where ampache-common will not.
    This will allow users to deploy ampache on other web servers if they wish.
    Removed support for lighttpd and mythbuntu as I do not feel comfortable
    supporting web servers I no longer use.  Closes: #666005
  * Removed debconf question from ampache.config and ampache.templates,
    updated po files with debconf-updatepo.
  * Updated README.Debian to mention the package split.
  * Removed cruft from debian/rules and updated get-orig-source to retrieve
    source files from upstreams git repo.  Added additional rules to remove
    embedded copies of code and nonfree fonts.  Disabled debian/watch.
  * debian/control added ampache-common binary stanza and adjusted
    dependencies to remove mythbuntu and lighttpd support.  Added php-gettext
    to dependencies as upstream now uses it.
  * Update debian/copyright with the fresh theme copyright info, udated 
    header information. Added missing CC-BY-3.0 license field.  Corrected
    typo's. 

 -- Charlie Smotherman <cjsmo@cableone.net>  Thu, 31 May 2012 15:25:52 -0500
