=== debian/control ===
--- 
+++ 
@@ -3,24 +3,27 @@
 Priority: optional
 Maintainer: Charlie Smotherman <cjsmo@cableone.net>
 Homepage: http://www.ampache.org
-Build-Depends: debhelper (>= 7.0.50), po-debconf
+Build-Depends: debhelper (>= 8.1.0), po-debconf
 Standards-Version: 3.9.3
 
 Package: ampache
 Architecture: all
+Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: ${misc:Depends},
  debconf (>= 0.5) | debconf-2.0,
- libapache2-mod-php5 | php5-cgi | php5,
+ libapache2-mod-php5 | php5,
+ ampache-common (>= 3.6-git408e713+dfsg-1),
  php5-cli,
  php5-mysql,
  php5-xmlrpc,
+ php-gettext,
  libjs-prototype,
  libnusoap-php,
  libphp-phpmailer,
  libphp-snoopy,
  ttf-freefont
 Conflicts: ampache-themes-3.3.3.5a-1
-Recommends: apache2-mpm-prefork | apache2-mpm-itk | lighttpd, ampache-themes
+Recommends: apache2-mpm-prefork | apache2-mpm-itk, ampache-themes (>= 3.6.1-2)
 Suggests: php5-gd, phpmyadmin, mysql-server, eyed3, faad, vorbis-tools
 Description: web-based audio file management system
  Ampache is a web-based audio file manager implemented with PHP and
@@ -31,3 +34,23 @@
  Mpd/Icecast, or integrated Flash player. Multiple Ampache servers can
  be linked together using XML-RPC. The software is fully localized in many
  languages.
+
+Package: ampache-common
+Architecture: all
+Depends: ${misc:Depends}
+Replaces: ampache (<< 3.6-git408e713+dfsg-1)
+Breaks: ampache (<< 3.6-git408e713+dfsg-1)
+Suggests: ampache, php5-gd, phpmyadmin, mysql-server, eyed3, faad, vorbis-tools
+Description: web-based audio file management system common files
+ This package provides common files for Ampache. This package is server
+ independent and is intended for users who whish to use other web servers, 
+ virtual enviroments, or LXC's to deploy Ampache.
+ .  
+ Ampache is a web-based audio file manager implemented with PHP and
+ MySQL which allows viewing, editing, and playing audio files via the
+ web. It has support for playlists, artist and album views, album art,
+ random or vote-based play and per-user play-tracking/theming.
+ Playback may be via HTTP, on-the-fly transcoding and downsampling,
+ Mpd/Icecast, or integrated Flash player. Multiple Ampache servers can
+ be linked together using XML-RPC. The software is fully localized in many
+ languages.
