## ampache 3.6-rzb2515+dfsg

=== debian/changelog ===
ampache (3.6-rzb2515+dfsg-0ubuntu1) raring; urgency=low

  * New upstream release.  Upstream has this revision tagged 3.6-alpha4.

 -- Charlie Smotherman <cjsmo@cableone.net>  Sun, 09 Dec 2012 16:14:24 -0500

ampache (3.6-rzb2497+dfsg-0ubuntu2) raring; urgency=low

  * Updated to use new de.po translation file. Thx David Prévot.

 -- Charlie Smotherman <cjsmo@cableone.net>  Sat, 01 Dec 2012 02:30:42 -0500

ampache (3.6-rzb2497+dfsg-0ubuntu1) raring; urgency=low

  * Actually fix debian #688436.  This will be pushed to debian as part of the
    apache2.4 transition post release.
  * Use bzr to get upstream source.
  * Update debian/rules get-orig-source to use bzr and lp.
  * Use rev 2497 which upstream has tagged as 3.6-alpha3.
  * Removed debian/logrotate.
  * Removed debian/ampache.cron.daily. (LP: #1068894)
  * Removed debian/ampache.dirs, not needed.
  * debian/control
    - fix typo in Discription.
    - add Replaces, Breaks to ampache binary stanza.
  * Added remove statement to remove ampache.cron.daily and ampache.logrotate
    in ampache.postrm.
  * Added remove statement to remove ampache.cron.daily and ampache.logrotate
    in ampache.preinst.
  * Removed 01_logrotate.patch not needed.
  * Removed amapche.cron.daily and ampache.logrotate sym link creation from
    debian/ampache.links

 -- Charlie Smotherman <cjsmo@cableone.net>  Mon, 12 Nov 2012 22:58:58 -0500
