=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: ampache
 Section: web
 Priority: optional
-Maintainer: Charlie Smotherman <cjsmo@cableone.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Charlie Smotherman <cjsmo@cableone.net>
 Homepage: http://www.ampache.org
-Build-Depends: debhelper (>= 8.1.0), po-debconf
+Build-Depends: debhelper (>= 7.0.50), po-debconf
 Standards-Version: 3.9.3
 
 Package: ampache
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: ${misc:Depends},
  debconf (>= 0.5) | debconf-2.0,
  libapache2-mod-php5 | php5,
- ampache-common (>= 3.6-git408e713+dfsg-1),
+ ampache-common (>= 3.6-rzb2497+dfsg-0ubuntu1),
  php5-cli,
  php5-mysql,
  php5-xmlrpc,
@@ -22,7 +22,8 @@
  libphp-phpmailer,
  libphp-snoopy,
  ttf-freefont
-Conflicts: ampache-themes-3.3.3.5a-1
+Replaces: ampache (<< 3.6-git408e713+dfsg-1)
+Breaks: ampache (<< 3.6-git408e713+dfsg-1)
 Recommends: apache2-mpm-prefork | apache2-mpm-itk, ampache-themes (>= 3.6.1-2)
 Suggests: php5-gd, phpmyadmin, mysql-server, eyed3, faad, vorbis-tools
 Description: web-based audio file management system
@@ -43,7 +44,7 @@
 Suggests: ampache, php5-gd, phpmyadmin, mysql-server, eyed3, faad, vorbis-tools
 Description: web-based audio file management system common files
  This package provides common files for Ampache. This package is server
- independent and is intended for users who whish to use other web servers, 
+ independent and is intended for users who wish to use other web servers, 
  virtual enviroments, or LXC's to deploy Ampache.
  .  
  Ampache is a web-based audio file manager implemented with PHP and
