=== debian/rules ===
#!/usr/bin/make -f

DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

%:
	dh $@

get-orig-source:
	bzr branch -r 2515 lp:ampache
	cd ampache; 
	mv ampache ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/docs/INSTALL
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/locale/base/gather-messages.sh
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/flash/LICENSE
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/flash/xspf_jukebox.swf
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/flash/xspf_jukebox.fla
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/getid3/docs/license.txt
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/getid3/docs/license.commercial.txt
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/php-gettext/COPYING
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/php-gettext/streams.php
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/nusoap/nusoap.php
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/nusoap/nusoapmime.php
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/nusoap/class.wsdlcache.php
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/php_musicbrainz/COPYING
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/phpmailer/LICENSE
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/phpmailer/class.phpmailer.php
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/phpmailer/class.smtp.php
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/twitter/LICENSE
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/prototype/prototype.js
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/infotools/Snoopy.class.php
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/captcha/MyUnderwood.ttf
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/captcha/MyUnderwood.txt
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/config/.gitignore
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/.gitignore
	rm -rf ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/.bzr
	rm -rf ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/themes/fresh
	find ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg -type d -exec chmod 755 {} \;
	find ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg -type f -exec chmod 644 {} \;
	GZIP=--best tar -cz --owner root --group root --mode a+rX -f \
		ampache_$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg.orig.tar.gz \
		ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg
